Bug 1334876 - rename package NetworkManager-config-routing-rules to NetworkManager-dispatcher-routing-rules
Summary: rename package NetworkManager-config-routing-rules to NetworkManager-dispatch...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-10 17:24 UTC by Thomas Haller
Modified: 2016-11-03 19:10 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-1.2.0-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:10:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Thomas Haller 2016-05-10 17:24:22 UTC
Currently, we have a package "NetworkManager-config-routing-rules" which provides /etc/NetworkManager/dispatcher.d/10-ifcfg-rh-routes.sh .

The name of this package is not nice, because it contains no configuration file.





An alternative would be to merge the script into NetworkManager package.

Pro/contra for having a separate package:

  + users who don't have route-files (the majority!), don't pay for
    the overhead to invoke the dispatcher script. Although we have now 
    "nowait", there is still an overhead. NM even optimizes for the 
    case where there are no pre-up scripts -- if we always install 
    such a script, the optimization becomes useless
    https://cgit.freedesktop.org/NetworkManager/NetworkManager/tree/src/nm-dispatcher.c?id=d5c192201a4621c1b62479082147e462b5cf897a#n504
 
  + without a separate package, the user has no way to disable
    10-ifcfg-rh-routes.sh to avoid the overhead. Otherwise, he
    can simply remove NetworkManager-config-routing-rules package.

  - users who need support for policy routing, need to install the
    package explicitly. Which is non-obvious:
    See https://bugzilla.redhat.com/show_bug.cgi?id=1160013#c44

  - yet another NetworkManager-* package...



I propose to keep the package, but rename it to NetworkManager-dispatcher-routing-rules

Comment 2 Vladimir Benes 2016-06-22 11:19:25 UTC
[root@wlan-r2s5 ~]# rpm -q --qf '[%{provides}\n]' NetworkManager-config-routing-rules
NetworkManager-config-routing-rules

Installing:
 NetworkManager-dispatcher-routing-rules                  noarch                  1:1.4.0-0.1.git20160606.b769b4df.el7                     beaker-Server-optional                  123 k
     replacing  NetworkManager-config-routing-rules.x86_64 1:1.0.6-27.el7


[root@wlan-r2s5 ~]# rpm -q --qf '[%{provides}\n]' NetworkManager-dispatcher-routing-rules
NetworkManager-config-routing-rules
NetworkManager-dispatcher-routing-rules
[root@wlan-r2s5 ~]# rpm -q --qf '[%{obsoletes}\n]' NetworkManager-dispatcher-routing-rules
NetworkManager-config-routing-rules

Comment 4 errata-xmlrpc 2016-11-03 19:10:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.